Skip to main content
GET
/
manage-dynamic-variables
/
{id}
curl "https://api.magpipe.ai/functions/v1/manage-dynamic-variables/789e0123-e89b-12d3-a456-426614174000" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id": "789e0123-e89b-12d3-a456-426614174000",
  "agent_id": "123e4567-e89b-12d3-a456-426614174000",
  "user_id": "456e7890-e89b-12d3-a456-426614174000",
  "name": "caller_name",
  "description": "The full name of the caller",
  "var_type": "text",
  "enum_options": null,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}
Retrieve details of a specific dynamic variable.

Path Parameters

id
string
required
UUID of the dynamic variable

Response

id
string
UUID of the variable
agent_id
string
UUID of the agent this variable belongs to
user_id
string
UUID of the user who created this variable
name
string
Variable name
description
string
Variable description
var_type
string
Data type (text, number, boolean, enum)
enum_options
array
Allowed values (only for enum type, null otherwise)
created_at
string
ISO 8601 creation timestamp
updated_at
string
ISO 8601 last update timestamp
curl "https://api.magpipe.ai/functions/v1/manage-dynamic-variables/789e0123-e89b-12d3-a456-426614174000" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id": "789e0123-e89b-12d3-a456-426614174000",
  "agent_id": "123e4567-e89b-12d3-a456-426614174000",
  "user_id": "456e7890-e89b-12d3-a456-426614174000",
  "name": "caller_name",
  "description": "The full name of the caller",
  "var_type": "text",
  "enum_options": null,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}